Gönderen Konu: [Çözüldü] İkili dosyalarda çalıştırma sorunu!  (Okunma sayısı 3770 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı krwlng

  • İleti: 54
Merhaba, sisteme yüklediğim ikili dosyaların çoğunda çalıştırmayı denediğim zaman ya dosya ya da dizin bulunamadı diyor ya da hiç tepki vermiyor, ikili dosyaların çalıştırma izinleri var, aynı dosyalar ubuntu tarafında direkt çalışırken Arch tarafında söylediğim hataları alıyorum, bu dosyalar için ayrıca yapmam gereken bir şey var mı?

Ekte örnek mmc uygulamasını verdim fakat diğerlerinde de aynı sorun var.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: decent »

Çevrimdışı zafer

  • İleti: 101
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #1 : 25 Mart 2012 - 23:25:35 »
yüklemeye çalıştığınız dosya mobilemediaconverter programcığı.



Bunu AUR üzerinden kurabilirsiniz.



yaourt aracılığıyla kurunuz.
Kod: [Seç]
yaourt -S mobilemediaconverter


gerekli olan bağımlılıklar:

gcc-libs>=4.5.1 glibc>=2.12 gtk2>=2.22 libstdc++5>=3.3.0 zlib
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: zafer »

Çevrimdışı tarakbumba

  • İleti: 252
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #2 : 26 Mart 2012 - 15:20:24 »
krwlng, her ne kadar dosyalara gerekli izinlerin verildiğini yazmış iseniz de bir "ls -l" çıktısını alabilir miyiz? mmc dosyasına chmod +x yaptınız mı?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #3 : 26 Mart 2012 - 19:12:41 »
@zafer, olay mmc değil aslında, bir çok ikili dosyada aynı sorun var, ayrıca bildiğim akdarı ile mmc 64 bit sürümü yoktu, 64bit depoda olacağını sanmıyorum, yine de eve gidince denerim, sadece mmc için tabi.

@tarakbumba, Şuan dışarıdayım eve gidince "ls -l" çıktısını yazarım, ama +x ile çalıştırılabilir yapmıştım dosyayı.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı tarakbumba

  • İleti: 252
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #4 : 26 Mart 2012 - 21:45:59 »
Alıntı yapılan: "krwlng"

@zafer, olay mmc değil aslında, bir çok ikili dosyada aynı sorun var, ayrıca bildiğim akdarı ile mmc 64 bit sürümü yoktu, 64bit depoda olacağını sanmıyorum, yine de eve gidince denerim, sadece mmc için tabi.

@tarakbumba, Şuan dışarıdayım eve gidince "ls -l" çıktısını yazarım, ama +x ile çalıştırılabilir yapmıştım dosyayı.


Zafer' in bahsettiği resmi depolar değil sanırım. AUR' a bir baksanız iyi olur. Sizden ricam bir de $PATH çıktısını alabilir miyiz? Konumlar bash ayarlarında geçmiyorsa yine sorun yaşayabilirsiniz.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı cmdexe

  • İleti: 30
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #5 : 27 Mart 2012 - 18:04:57 »
Alıntı yapılan: "krwlng"

Merhaba, sisteme yüklediğim ikili dosyaların çoğunda çalıştırmayı denediğim zaman ya dosya ya da dizin bulunamadı diyor ya da hiç tepki vermiyor, ikili dosyaların çalıştırma izinleri var, aynı dosyalar ubuntu tarafında direkt çalışırken Arch tarafında söylediğim hataları alıyorum, bu dosyalar için ayrıca yapmam gereken bir şey var mı?

Ekte örnek mmc uygulamasını verdim fakat diğerlerinde de aynı sorun var.


kullandığınız sistem 64bit mi ? eğer öyleyse bu tür sorunlar yaşayabilirsiniz kullandığınız programların 32bit kütüphanelerinde sistemde yüklü olması gerekir
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »
Command™

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #6 : 27 Mart 2012 - 22:58:06 »
@tarakbumba, $PATH çıktısı
Kod: [Seç]
[krwlng@Arch ~]$ $PATH
bash: /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/bin/vendor_perl:/usr/bin/core_perl: Böyle bir dosya ya da dizin yok


@cmdexe Evet sistemim 64bit her uygulamanın 32 bit kütüphanesini bulup yüklemek bayağı sıkıcı bir durum, işin garip tarafı ubuntu kullanırken yine aynı uygulamayı 64 bit ile başka bir kütüphane kurmadan çalıştırabiliyordum.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: krwlng »

Çevrimdışı zafer

  • İleti: 101
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #7 : 28 Mart 2012 - 00:18:07 »
burada sorun 32 bit kitüphanelerinde değil ama nerede bilemiyorum...



Yani bir program 32 bit istesin. Kurmaya çalıştığınız hepsi mi 32 bit kütüphane gerektiriyor ...

Bu nedenle sorun başka bence..Ama ne olabilir onu şimdilik bilmiyorum.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #8 : 28 Mart 2012 - 01:20:15 »
Ben de aynı şekilde düşündüm aslında, hani hata çıktısı falan alsam 32 bit olduğu için diyeceğim ama dosya yok diyor. Adroid SDK 32 bit için hata alıyorum mesela, uyarı çıkıyor 32 bit çalışan kısımlar için ia-lib32 gerekli diye ama diğer dosyalarda direkt yok böyle bir dosya diyor.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı tarakbumba

  • İleti: 252
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #9 : 28 Mart 2012 - 14:09:44 »
Alıntı yapılan: "krwlng"

@tarakbumba, $PATH çıktısı
Kod: [Seç]
[krwlng@Arch ~]$ $PATH
bash: /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/bin/vendor_perl:/usr/bin/core_perl: Böyle bir dosya ya da dizin yok


@cmdexe Evet sistemim 64bit her uygulamanın 32 bit kütüphanesini bulup yüklemek bayağı sıkıcı bir durum, işin garip tarafı ubuntu kullanırken yine aynı uygulamayı 64 bit ile başka bir kütüphane kurmadan çalıştırabiliyordum.


Sorunun 32 bit ile ilgisi yok. Öyle olsaydı libbilmemne.so dosyası bulunamıyor gibi bir kütüphane hatası verirdi. Sorun bence bash $PATH ayarlarından kaynaklanıyor. Yukarıdaki çıktı da beni doğruluyor. ~/.bashrc dosyasını kişiselleştirmiş miydiniz? Bu dosyada bir path değişkeni varsa onu silip yeniden komut satırı açarak uygulamayı çalıştırmayı deneyin. Ayrıca hala bir "ls -l" çıktısının bize yardımcı olacağını düşünüyorum.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #10 : 31 Mart 2012 - 15:19:09 »
@tarakbumba, kusura bakmayın biraz geç cevaplıyorum, ls -la çıktısı şu şekilde.


Kod: [Seç]
[krwlng@Arch mmc-lin-173]$ ls -la
toplam 14800
drwxr-xr-x  5 krwlng root    4096 Mar 25 21:32 .
drwxr-xr-x 10 krwlng root    4096 Mar 28 13:31 ..
-rwxrwxrwx  1 krwlng root 6789832 Eki  1  2010 ffmpeg
drwxrwxrwx  2 krwlng root    4096 Eki  1  2010 icons
lrwxrwxrwx  1 krwlng root      16 Eyl 13  2011 libfaac.so -> libfaac.so.0.0.0
lrwxrwxrwx  1 krwlng root      16 Eyl 13  2011 libfaac.so.0 -> libfaac.so.0.0.0
-rwxrwxrwx  1 krwlng root   76231 Eyl 13  2011 libfaac.so.0.0.0
lrwxrwxrwx  1 krwlng root      19 Eyl 13  2011 libmp3lame.so -> libmp3lame.so.0.0.0
lrwxrwxrwx  1 krwlng root      19 Eyl 13  2011 libmp3lame.so.0 -> libmp3lame.so.0.0.0
-rwxrwxrwx  1 krwlng root  412643 Eyl 13  2011 libmp3lame.so.0.0.0
lrwxrwxrwx  1 krwlng root      26 Eyl 13  2011 libopencore-amrnb.so -> libopencore-amrnb.so.0.0.2
lrwxrwxrwx  1 krwlng root      26 Eyl 13  2011 libopencore-amrnb.so.0 -> libopencore-amrnb.so.0.0.2
-rwxrwxrwx  1 krwlng root  639232 Eyl  5  2010 libopencore-amrnb.so.0.0.2
lrwxrwxrwx  1 krwlng root      26 Eyl 13  2011 libopencore-amrwb.so -> libopencore-amrwb.so.0.0.2
lrwxrwxrwx  1 krwlng root      26 Eyl 13  2011 libopencore-amrwb.so.0 -> libopencore-amrwb.so.0.0.2
-rwxrwxrwx  1 krwlng root  237549 Eyl  5  2010 libopencore-amrwb.so.0.0.2
-rwxrwxrwx  1 krwlng root 6967022 Eki 14 13:04 mmc
drwxrwxrwx  2 krwlng root    4096 Eyl 14  2011 mmc Libs
-rwxrwxrwx  1 krwlng root     787 Tem 30  2011 mmc-unity.py
drwxrwxrwx  2 krwlng root    4096 Eki 14 13:05 profiles

« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #11 : 01 Nisan 2012 - 21:21:05 »
Ayrıca bir şey dikkatimi çekti, dün aegisub binary paketini indirdim, gereklilikleri yükledim, 64bit sürümü
Kod: [Seç]
./aegisubx86_64
komutu ile çalıştırınca çalışıyor fakat 32 bit sürüm ikili dosyaya
Kod: [Seç]
./aegisub_i686
komutunu verdiğim zaman "Dosya veya dizin bulunamadı" hatası çıkıyor, yani genel sorunla karşılaşıyorum, bu sorun bir kütüphane sorunu ise neden eksik kütüphaneyi bana söylemiyor, değilse neden 64bit sürüm çalışıyor fakat 32bit sürümde dosya bulunamadı hatası veriyor, şaştım kaldım.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı cmdexe

  • İleti: 30
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #12 : 01 Nisan 2012 - 23:15:06 »
32bit libler eksik onun için çalışmıyor
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »
Command™

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #13 : 02 Nisan 2012 - 12:07:20 »
Hangisinin eksik olduğunu söylese yüklerim de, bir uygulama için komple 32bit arch tabanı yükleyip onu da sistem her açıldığında Daemon olarak başlatmak bana pek mantıklı gelmiyor, gereksinimleri tek tek arayıp bulmakta büyük zaman ve emek kaybı.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı cmdexe

  • İleti: 30
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #14 : 02 Nisan 2012 - 12:14:21 »
programı aurdan packer yada yaourt yardımı ile kurun büyük hitimal sorun kalmayacaktır



aurdan bulduğum bağımlılıklar
Alıntı
depends=('lib32-zlib' 'lib32-gtk2>=2.22' 'lib32-gcc-libs>=4.5.1' 'lib32-glibc>=2.12' 'lib32-libstdc++5>=3.3.0')
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »
Command™

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #15 : 02 Nisan 2012 - 12:34:12 »
"lib32-glibc>=2.12" için hedef bulunamadı hatası alıyorum, multilib depolarını açtım, sistemi güncelleyip tekrar deneyeceğim.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #16 : 02 Nisan 2012 - 17:25:46 »
Sistemi güncelledim, multilib ile ilgili bir # karakterini kaldırmayı unutmuşum onu kaldırıp depoları güncelledim, şuan sorun yok, ama diğer ikili dosyalar için hangi kütüphanenin lazım olduğunu söyleyen bir mekanizma olsa daha iyi olurdu.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı cmdexe

  • İleti: 30
Cvp: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #17 : 02 Nisan 2012 - 17:44:09 »
ldd çıktısı hangi kütüphanelerin gerektiğini verebilir ama 64bit sistemlerde hiç denemedim



denemek için
Alıntı
ldd /nerede/bu/dosya
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »
Command™

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #18 : 02 Nisan 2012 - 17:51:57 »
ldd komutunu denedim "   özdevimli bir çalıştırılabilir değil" uyarısı aldım.

Şuan mmc uygulamasını aur dan kurmaya çalışıyorum, 32bit kütüphaneleri yüklerken
Kod: [Seç]
Kuruluma onay veriyor musunuz? [E/h]
(42/42) paket bütünlüğü kontrol ediliyor           [######################] 100%
hata: lib32-glibc: key "A5E9288C4FA415FA" is unknown
hata: key "A5E9288C4FA415FA" could not be looked up remotely
hata: lib32-gcc-libs: key "A5E9288C4FA415FA" is unknown
hata: key "A5E9288C4FA415FA" could not be looked up remotely
hata: lib32-libstdc++5: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-zlib: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-pcre: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-expat: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-dbus-core: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libffi: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-glib2: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-atk: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libpng: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libxdmcp: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxau: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxcb: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libx11: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxrender: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-bzip2: key "E8F18BA1615137BC" is unknown
hata: key "E8F18BA1615137BC" could not be looked up remotely
hata: lib32-freetype2: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-fontconfig: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-pixman: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-cairo: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libxft: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-pango: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libjpeg-turbo: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libtiff: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-gdk-pixbuf2: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-util-linux: key "1EB2638FF56C0C53" is unknown
hata: key "1EB2638FF56C0C53" could not be looked up remotely
hata: lib32-e2fsprogs: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-openssl: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-libldap: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-keyutils: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-krb5: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-libcups: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-libxfixes: key "6D1655C14CE1C13E" is unknown
hata: key "6D1655C14CE1C13E" could not be looked up remotely
hata: lib32-libxcursor: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-libxext: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxrandr: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxi: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxinerama: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxcomposite: key "06096A6AD1CEDDAC" is unknown
hata: key "06096A6AD1CEDDAC" could not be looked up remotely
hata: lib32-libxdamage: key "7F2D434B9741E8AC" is unknown
hata: key "7F2D434B9741E8AC" could not be looked up remotely
hata: lib32-gtk2: key "E8F18BA1615137BC" is unknown
hata: key "E8F18BA1615137BC" could not be looked up remotely
hata: işlem gerçekleştirilemedi (geçersiz veya bozuk paket (PGP imzası))
Hata oluştu, hiçbir paket güncellenmedi.


gibi bir hata ile karşılaşıyorum, pacman.conf içerisinden "Siglevel=Never" kısmını "Siglevel=ThrustAll" olarak değiştirdim sistemi tekrar başlattım ama çözüm olmadı, fikriniz var mı? Yabancı forumlarda baktım fakat ruslar birkaç şey yazmış tam anlamadım.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: krwlng »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #19 : 02 Nisan 2012 - 18:05:07 »
Sorunu çözdüm "/etc/pacman.d/gnupg/gpg.conf" dosyası içindeki key sunucusunu "hkp://pgp.mit.edu:11371" ile değiştirince sorun çözüldü. Yani benim sorunum kütüphaneler ile ilgiliymiş göründüğü kadarı ile, çözüldü etiketini ekliyorum, fakat 32bit kütüphaneler için bağımlılıkları bulmamın bir yolunu bilen olursa, konu kilitlenmezse buraya, kilitlenirse özel mesaj yoluyla bekliyorum, teşekkür ederim herkese. Bu arada düzenleme limiti 5 dk olarak ayarlanmış o yüzden Çözüldü etiketini ekleyemiyorum.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: krwlng »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.091
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #20 : 02 Nisan 2012 - 18:23:00 »
Yazılımı yüklemek istediğimde 32 bit kütüphanelerini de alıyor.
Kod: [Seç]
[decent@Arch ~]$ packer -S mobilemediaconverter

Aur Targets    (1): mobilemediaconverter
Pacman Targets (2): lib32-gtk2 lib32-libstdc++5

Proceed with installation? [Y/n]
root Parola:
paket bağımlılıkları çözümleniyor...
varsa paketler arası çakışmalara bakılıyor...

Hedefler (23): lib32-atk-2.2.0-1  lib32-cairo-1.10.2-3  lib32-dbus-core-1.4.16-1  lib32-e2fsprogs-1.42.1-1
               lib32-gdk-pixbuf2-2.24.1-2  lib32-glib2-2.30.2-3  lib32-keyutils-1.5.5-1
               lib32-krb5-1.10.1-2  lib32-libcups-1.5.2-1  lib32-libffi-3.0.10-3
               lib32-libjpeg-turbo-1.2.0-1  lib32-libldap-2.4.28-1  lib32-libpng-1.5.9-2
               lib32-libtiff-4.0.1-1  lib32-libxcomposite-0.4.3-3  lib32-libxft-2.3.0-1
               lib32-libxinerama-1.1.2-1  lib32-openssl-1.0.1-1  lib32-pango-1.29.4-3  lib32-pcre-8.30-1
               lib32-pixman-0.24.4-1  lib32-gtk2-2.24.10-1  lib32-libstdc++5-3.3.6-6

Toplam İndirme Boyutu:    7,81 MiB
Toplam Kaplayacağı Alan:   32,33 MiB

Kuruluma onay veriyor musunuz? [E/h]


Ve yüklenen yazılım çalışıyor:

http://img7.imagebanana.com/img/ob3zvu49/thumb/ekrangoeruentuesue4.png" alt="" class="bbc_img" />





/etc/pacman.conf
dosyasında aşağıdaki satırlar yoksa ekleyin:
Kod: [Seç]
[multilib]
#SigLevel = PackageOptional
Include = /etc/pacman.d/mirrorlist


Bendeki /etc/pacman.conf dosyası:
Kod: [Seç]
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
HoldPkg     = pacman glibc
# If upgrades are available for these packages they will be asked for first
SyncFirst   = pacman linux-headers
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#UseDelta
#TotalDownload
CheckSpace
#VerbosePkgLists

# PGP signature checking
# NOTE: None of this will work without running `pacman-key --init` first.
# The compiled in default is equivalent to the following line. This requires
# you to locally sign and trust packager keys using `pacman-key` for them to be
# considered valid.
#SigLevel = Optional TrustedOnly
# If you wish to check signatures but avoid local sign and trust issues, use
# the following line. This will treat any key imported into pacman's keyring as
# trusted.
#SigLevel = Optional TrustAll
# For now, off by default unless you read the above.
SigLevel = Never

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

[xorg111]
Server = http://catalyst.apocalypsus.net/repo/xorg111/$arch

[catalyst]
Server = http://catalyst.apocalypsus.net/repo/catalyst/$arch

#[testing]
#SigLevel = PackageRequired
#Include = /etc/pacman.d/mirrorlist

[core]
#SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

[extra]
#SigLevel = PackageOptional
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#SigLevel = PackageRequired
#Include = /etc/pacman.d/mirrorlist

[community]
#SigLevel = PackageOptional
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#SigLevel = PackageRequired
#Include = /etc/pacman.d/mirrorlist

[multilib]
#SigLevel = PackageOptional
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

[archlinuxfr]
Server = http://repo.archlinux.fr/x86_64
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı krwlng

  • İleti: 54
RE: İkili dosyalarda çalıştırma sorunu!
« Yanıtla #21 : 02 Nisan 2012 - 18:34:00 »
Benimki biraz sağ elimle sol kulağımı tutmak gibi oldu ama başardım sonunda :) Sizin anlattığınız şekilde daha kolaymış.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »

Çevrimdışı decent

  • Administrator
  • *****
  • İleti: 1.091
    • ARCHER KIM
  • Dağıtım: Arch Linux <:> Ubuntu
  • Sürüm: *
  • Ekran Kartı: Nvidia / ATI
RE: [Çözüldü] İkili dosyalarda çalıştırma sorunu!
« Yanıtla #22 : 02 Nisan 2012 - 18:36:46 »
[Çözüldü] etiketi ile kapatıyorum.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Anonymous »